/*
 * folderButtons.c
 *
 *  Created on: 25.01.2015
 *      Author: daniel
 */

#include <stdbool.h>
#include <stdint.h>
#include "mp3util.h"
#include "staticData.h"

#define FOLDERS 10

static struct {
	char shortname[12];
	bool assigned;
} folderbuttons[FOLDERS];


void folderButtonsInit() {
	for(uint8_t i=0; i<FOLDERS; i++) {
		folderbuttons[i].assigned=false;
	}

	char lastfoldername[256];
	lastfoldername[0]='\0';
	for(uint8_t i=0; i<FOLDERS; i++) {
		if(findNextFolder("", lastfoldername, folderbuttons[i].shortname)) {
			folderbuttons[i].assigned=true;
		} else {
			break;
		}
	}
	// compare with static ram
	bool stickChanged=false;
	for(uint8_t i=0; i<FOLDERS; i++) {
		if(staticDataCompareFoldername(i, folderbuttons[i].shortname)!=0) {
			stickChanged=true;
			break;
		}
	}
	if(stickChanged) {
		for(uint8_t i=0; i<FOLDERS; i++) {
			staticDataSetFoldername(i, folderbuttons[i].shortname);
		}
	}

}

bool folderButtonsIsAssigned(uint8_t foldernumber) {
	if ( foldernumber >= FOLDERS) {
		return (false);
	}
	return (folderbuttons[foldernumber].assigned);
}

const char *folderButtonsGetShortname(uint8_t foldernumber) {
	if ( foldernumber >= FOLDERS) {
		return (NULL);
	}
	return (folderbuttons[foldernumber].shortname);
}
